<?php
/**
 * @package Creamy Bakery
 */

//Return if the first widget area has no widgets
if ( !is_active_sidebar( 'footer-1' ) ) {
	return;
} ?>

<?php //user selected widget columns

	$creamy_bakery_widget_num = esc_html(get_theme_mod('creamy_bakery_footer_widgets', '4'));
	
	if ($creamy_bakery_widget_num == '4') :
		$creamy_bakery_col1 ='col-md-3';
		$creamy_bakery_col2 ='col-md-3';
		$creamy_bakery_col3 ='col-md-3';
		$creamy_bakery_col4 ='col-md-3';
	elseif ($creamy_bakery_widget_num == '3') :
		$creamy_bakery_col1 ='col-md-4';
		$creamy_bakery_col2 ='col-md-4';
		$creamy_bakery_col3 ='col-md-4';
		
	elseif ($creamy_bakery_widget_num == '2') :
		 $creamy_bakery_col1 ='col-md-6';
		 $creamy_bakery_col2 ='col-md-6';
	else :
		$creamy_bakery_col1 ='col-md-12';
	endif;
?>
		
<?php 
	if ( is_active_sidebar( 'footer-1' ) && ( $creamy_bakery_widget_num == '4' || $creamy_bakery_widget_num == '3' || $creamy_bakery_widget_num == '2' || $creamy_bakery_widget_num == '1')) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($creamy_bakery_col1); ?>">
				<?php dynamic_sidebar( 'footer-1'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-2' ) && ( $creamy_bakery_widget_num == '4' || $creamy_bakery_widget_num == '3' || $creamy_bakery_widget_num == '2')) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($creamy_bakery_col2); ?>">
				<?php dynamic_sidebar( 'footer-2'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-3' ) && ( $creamy_bakery_widget_num == '4' || $creamy_bakery_widget_num == '3' )) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($creamy_bakery_col3); ?>">
				<?php dynamic_sidebar( 'footer-3'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-4' ) && ( $creamy_bakery_widget_num == '4' )) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($creamy_bakery_col4); ?>">
				<?php dynamic_sidebar( 'footer-4'); ?>
			</div>
		<?php
	endif;
?>